summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--abs/extra/crystalhd-git/PKGBUILD44
-rw-r--r--abs/extra/crystalhd-git/crystalhd-git.install6
2 files changed, 50 insertions, 0 deletions
diff --git a/abs/extra/crystalhd-git/PKGBUILD b/abs/extra/crystalhd-git/PKGBUILD
new file mode 100644
index 0000000..538c0ae
--- /dev/null
+++ b/abs/extra/crystalhd-git/PKGBUILD
@@ -0,0 +1,44 @@
+# Contributor: Petteri Tolonen <petteri.tolonen[at]gmail.com>
+# Maintainer: Petteri Tolonen <petteri.tolonen[at]gmail.com>
+
+pkgname=crystalhd-git
+pkgver=`date +%Y%m%d`
+pkgrel=1
+pkgdesc="Broadcom Crystal HD kernel module from git.wilsonet.com"
+arch=('i686' 'x86_64')
+url="http://git.wilsonet.com/crystalhd.git/"
+license=('GPL2')
+depends=()
+makedepends=('autoconf' 'kernel26-headers>=2.6.32.9' 'make' 'git')
+conflicts=('crystalhd')
+install='crystalhd-git.install'
+_gitroot='git://git.wilsonet.com/crystalhd.git'
+_gitname='crystalhd'
+
+build() {
+
+ cd $startdir/src
+
+ msg "Connecting to git.wilsonet.com GIT server...."
+
+ if [ -d $startdir/src/$_gitname ] ; then
+ cd $_gitname && git pull origin
+ msg "The local files are updated."
+ else
+ git clone $_gitroot
+ cd $_gitname
+ fi
+
+ cd driver/linux
+
+ autoconf
+ ./configure --prefix=/usr
+ make KDIR=/lib/modules/2.6.34-LinHES/build || return 1
+ mkdir -p $pkgdir/etc/udev/rules.d
+ mkdir -p $pkgdir/lib/modules/$(uname -r)/kernel/drivers/video/broadcom
+
+ cp -f 20-crystalhd.rules $pkgdir/etc/udev/rules.d/
+ install -d $pkgdir/lib/modules/$(uname -r)/kernel/drivers/video/broadcom
+ install -m 0644 crystalhd.ko $pkgdir/lib/modules/$(uname -r)/kernel/drivers/video/broadcom
+
+}
diff --git a/abs/extra/crystalhd-git/crystalhd-git.install b/abs/extra/crystalhd-git/crystalhd-git.install
new file mode 100644
index 0000000..077905e
--- /dev/null
+++ b/abs/extra/crystalhd-git/crystalhd-git.install
@@ -0,0 +1,6 @@
+post_install () {
+ depmod -a
+}
+post_upgrade() {
+ post_install
+}